# Wukong: Simplified Management of ONVIF IP Devices

Wukong is a robust implementation of the ONVIF protocol designed for the efficient management of ONVIF-compliant IP devices, including cameras. This project aims to provide a user-friendly and streamlined solution for the convenient management of IP cameras and other devices that adhere to the ONVIF standard.

With Wukong, users can easily configure, monitor, and control their ONVIF devices, enhancing the overall experience of managing surveillance systems and ensuring seamless integration within various environments.

## Requirements

- Zabbix agent 2 version 6.0.0 or newer
- Go programming language version 1.20 or newer (required only for building the plugin from the source)

## Installation

The plugin can be compiled using `go build`.

